Subject: [PATCH 1/7] mfd: twl4030-power: Fix hang on reboot if sleep configuration was loaded earlier

From: [email-masked] (Tony Lindgren)
Date: Tue, 20 May 2014 10:48:27 -0700

* Lee Jones <[email-masked]> [140520 10:38]:
> > > > Looks like we can still hit the issue of wrong load order of
> > > > twl4030 configuration. If we have a sleep configuration loaded,
> > > > and do a warm reset, the device can hang while initializing the
> > > > wakeup12 sequence. We do have a warning message about wrong order
> > > > of twl4030 configuration, but in this case it does not help as
> > > > the sleep configuration was loaded during the previous boot and
> > > > the state of twl4030 is maintained throughout the warm reset.
> > > > 
> > > > Fix the issue by clearing any existing sleep configuration
> > > > before we load the warm reset configuration.
> > > > 
> > > > Cc: Peter Ujfalusi <[email-masked]>
> > > > Signed-off-by: Tony Lindgren <[email-masked]>
> > > > ---
> > > >  drivers/mfd/twl4030-power.c | 6 ++++++
> > > >  1 file changed, 6 insertions(+)
> > > 
> > > Can't vouch for the semantics of the patch, but the code looks good.
> > > 
> > >   Acked-by: Lee Jones <[email-masked]>
> > > 
> > > Can I just apply this, or would you like Peter to review it first?
> > 
> > As far as I'm concerned you can go ahead an apply, it's been
> > floating on the list for a while and Peter is probably busy
> > with other things.
> 
> No problem.  Just a couple of things for you to look at in the other
> patches, then we can go ahead and apply for v3.16.

OK thanks yeah saw those. Will fix them up and test today. Then
maybe you can apply them to the immutable branch we set earlier
or I can send you a pull request against that branch whichever
you prefer.

Regards,

Tony